List server models for a location
To obtain a list of all server models in one location, send a GET request to /v1/locations/{location_id}/order_options/server_models. A location ID has to be specified in the path parameter.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
location_id | stringA unique identifier of a location. A request to list all the location IDs is described in the Location section. |
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
has_raid_controller? | booleanSpecify by |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations/1570/order_options/server_models"[ { "id": 2618, "name": "R430", "cpu_name": "cpu-model-model-1550", "cpu_count": 2, "cpu_cores_count": 20, "cpu_frequency": 2122, "ram": 64, "ram_type": "DDR3", "max_ram": 384, "has_raid_controller": true, "raid_controller_name": "raid-model-1551", "drive_slots_count": 8 }, { "id": 2625, "name": "R220", "cpu_name": "cpu-model-model-1554", "cpu_count": 1, "cpu_cores_count": 3, "cpu_frequency": 2064, "ram": 32, "ram_type": "DDR3", "max_ram": 64, "has_raid_controller": false, "raid_controller_name": null, "drive_slots_count": 4 }]